Image
Interordi Menu
Update to 1.3.2 at will, Update by Dr. Cossack

For anyone wondering, you're free to update your game client to 1.3.2. It's compatible with the current version of the server!

No comments have been made yet on this content.